# Terminal Emulators
AddPackage alacritty # A cross-platform, GPU-accelerated terminal emulator
AddPackage screen # Full-screen window manager that multiplexes a physical terminal
AddPackage zsh # A very advanced and programmable command interpreter (shell) for UNIX

# System Monitor
AddPackage bashtop # Linux resource monitor

# Build Tools
AddPackage autoconf # A GNU tool for automatically configuring source code
AddPackage automake # A GNU tool for automatically creating Makefiles
AddPackage binutils # A set of programs to assemble and manipulate binary and object files
AddPackage pkgconf # Package compiler and linker metadata toolkit

# Desktop Tools
AddPackage imwheel # Mouse wheel configuration tool for XFree86/Xorg

# Gaming
AddPackage gamemode # A daemon/lib combo that allows games to request a set of optimisations be temporarily applied to the host OS

# Dev Tools
AddPackage git # the fast distributed version control system
#AddPackage --foreign platformio # A cross-platform code builder and library manager

# Archives
AddPackage arj        # Free and portable clone of the ARJ archiver
AddPackage cabextract # A program to extract Microsoft cabinet (.CAB) files
AddPackage cpio       # A tool to copy files into or out of a cpio or tar archive
AddPackage lhasa      # Free LZH/LHA archive tool
AddPackage lrzip      # Multi-threaded compression with rzip/lzma, lzo, and zpaq
AddPackage pax        # Portable Archive Interchange - the POSIX standard archive tool for cpio and tar formats
AddPackage p7zip      # Command-line file archiver with high compression ratio
AddPackage rpmextract # Script to convert or extract RPM archives (contains rpm2cpio)
AddPackage sharutils  # Makes so-called shell archives out of many files
AddPackage unace      # An extraction tool for the proprietary ace archive format
AddPackage unrar      # The RAR uncompression program
AddPackage unzip      # For extracting and viewing files in .zip archives
AddPackage zip        # Compressor/archiver for creating and modifying zipfiles

# $EDITOR
AddPackage neovim # Fork of Vim aiming to improve user experience, plugins, and GUIs
#AddPackage --foreign emacs-native-comp-git-enhanced # GNU Emacs. Development master branch.

# File Management
AddPackage rsync # A fast and versatile file copying tool for remote and local files
AddPackage smbclient # Tools to access a server's filespace and printers via SMB
AddPackage trash-cli # Command line trashcan (recycle bin) interface
AddPackage vifm # A file manager with curses interface, which provides Vi[m]-like environment

# Dotfile Management
AddPackage stow # Manage installation of multiple softwares in the same directory tree
